特别说明


[warning] 请务必按照本文档部署运行章节 进行操作,减少踩坑弯路!!


环境说明

pig4cloud 基础环境软件下载 「提取密码 exw7」

工具版本备注
JDK1.8强制要求
MySQL5.7.8 +强制要求
Redis3.2 +
node8.0 +
npm6.0 +
IDEIDEA2019+


JDK 说明


请使用mvn -v 命令查看关联的jdk版本,当开发环境存在多个版本jdk时候特别注意


mvn -v


image


安装node & npm


官网下载node安装包,内置npm


https://nodejs.org/zh-cn/


检查安装是否正常


image


Lombok 插件


[warning]  IDE 必须安装 lombok plugin


当前你使用的ide未安装lombok. lombok能够达到的效果就是在源码中不需要写一些通用的方法,但是在编译生成的字节码文件中会帮我们生成这些方法,减少代码冗余.IDEA 2020.3版本已经内置Lombok Plugin插件.

IDEA安装方法 | eclipse安装方法